### Method

# Adw Animation skip

#### Declaration [src]

    void
    adw_animation_skip (
      AdwAnimation* self
    )

#### Description [src]

Skips the animation for `self`.

If the animation hasn’t been started yet, is playing, or is paused, instantly skips the animation to the end and causes `AdwAnimation::done` to be emitted.

Sets `AdwAnimation:state` to `ADW_ANIMATION_FINISHED`.

Available since: | 1.0